> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizmori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Anti-AI注文を確認

> ファイルアップロード完了後、処理を開始するために呼び出します。
- すべてのアップロードファイルがS3にアップロードされた後に呼び出してください
- 処理が開始されるとステータスが `inProgress` に変わります
- 混合モードでは、アップロードファイルのみS3への存在が確認され、URLファイルはすでに準備完了しています
- すべてのファイルがURLモードの注文はすでに `inProgress` のため、confirmは不要です



## OpenAPI

````yaml ja/api-reference/openapi.yaml POST /api/v2/orders/anti-ai/confirm
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: >-
    BIZ MORI API は、デジタルコンテンツ保護のための4つのコアサービスを提供します:

    - **Anti-AI**: 画像をAI学習から保護

    - **Watermark Embed**: 画像に不可視のデジタル watermark を埋め込み

    - **Watermark Extract**: 画像から watermark を抽出・検証

    - **AI Detection**: 画像がAI生成かどうかを検知

    - **テストAPIキー**: `sk_test_`
    プレフィックスのキーは同じBearer認証を使用し、実際の処理サービスの実行やクレジットの消費なしに注文ライフサイクルを検証できます。テストアップロードの内容は破棄され、結果ファイルは作成されません
  contact:
    name: BIZ MORI サポート
    email: support@bizmori.com
servers:
  - url: https://api.bizmori.com
    description: 本番環境
security: []
tags:
  - name: Anti-AI
    description: Anti-AI画像保護の注文
  - name: Watermark Embed
    description: watermark 埋め込みの注文
  - name: Watermark Extract
    description: watermark 抽出の注文
  - name: AI Detection
    description: AI生成画像検知の注文
  - name: Orders
    description: 注文の照会と管理
  - name: Webhooks
    description: Webhookの設定とイベント
paths:
  /api/v2/orders/anti-ai/confirm:
    post:
      tags:
        - Anti-AI
      summary: Anti-AI注文を確認
      description: |-
        ファイルアップロード完了後、処理を開始するために呼び出します。
        - すべてのアップロードファイルがS3にアップロードされた後に呼び出してください
        - 処理が開始されるとステータスが `inProgress` に変わります
        - 混合モードでは、アップロードファイルのみS3への存在が確認され、URLファイルはすでに準備完了しています
        - すべてのファイルがURLモードの注文はすでに `inProgress` のため、confirmは不要です
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - idempotencyKey
                - orderId
              properties:
                idempotencyKey:
                  type: string
                  description: 冪等性キー
                orderId:
                  type: string
                  description: 注文ID
      responses:
        '200':
          description: 注文の確認に成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST https://api.bizmori.com/api/v2/orders/anti-ai/confirm \
              -H "Authorization: Bearer YOUR_API_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{
                "idempotencyKey": "1b7e3c90-6d2a-4f58-a9c1-8e4b7d0f2a63",
                "orderId": "ORDER_ID"
              }'
        - lang: javascript
          label: JavaScript
          source: >-
            const response = await
            fetch('https://api.bizmori.com/api/v2/orders/anti-ai/confirm', {
              method: 'POST',
              headers: {
                'Authorization': 'Bearer YOUR_API_TOKEN',
                'Content-Type': 'application/json'
              },
              body: JSON.stringify({
                idempotencyKey: '1b7e3c90-6d2a-4f58-a9c1-8e4b7d0f2a63',
                orderId: 'ORDER_ID'
              })
            });

            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.post(
                'https://api.bizmori.com/api/v2/orders/anti-ai/confirm',
                headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
                json={
                    'idempotencyKey': '1b7e3c90-6d2a-4f58-a9c1-8e4b7d0f2a63',
                    'orderId': 'ORDER_ID'
                }
            )
            data = response.json()
components:
  schemas:
    BaseResponse:
      type: object
      properties:
        data:
          nullable: true
          description: レスポンスデータ（データがない場合はnull）
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: エラーコード
  responses:
    BadRequest:
      description: 不正なリクエスト
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: VALIDATION_FAILED
    Unauthorized:
      description: 認証失敗
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
    NotFound:
      description: リソースが見つかりません
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: RESOURCE_NOT_FOUND
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        外部クライアントアクセス用のBearer APIキー。本番キーは `sk_` プレフィックスを使用し、テストキーは `sk_test_`
        プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。

````